// MSCUSSN - Version 3
class MSCUSSN : public MSCUObject
{
public:
	MSCUSSN() { Num=0; }
	
	virtual int Compare( MSCUObject& Src ) 
	{
		if( GetType() != Src.GetType() )
			throw "invalid type conversion";
		return( Num - ((MSCUSSN*)&Src)->Num );
	}
	virtual void SaveToFile( ostream& O )
	{
		O.write( (char*)&Num, sizeof(Num) );
	}
	virtual void LoadFromFile( istream& O )
	{
		O.read( (char*)&Num, sizeof(Num) );
	}
	virtual const string GetAsString() const 
	{
		char Tmp[11];
		sprintf( Tmp, "%03d-%02d-%04d", Num/1000000, (Num/10000)%100, Num%10000);
		return( Tmp );
	}
	// Added in Version 2
	virtual void SetFromString( const string& Src )
	{
		Num=0;
		for( int i=0; i<Src.length(); i++)
		{
			if( Src[i]>='0' && Src[i]<='9' )
				Num = Num * 10 + Src[i] - '0';
		
		}
	}
	
private:
	long Num;
};
